Bug 1610964 - libreoffice crashes with "terminate called after throwing an instance of 'com::sun::star::container::NoSuchElementException'" (or 'com::sun::star::ucb::InteractiveAugmentedIOException')
Summary: libreoffice crashes with "terminate called after throwing an instance of 'com...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-01 17:37 UTC by Jan Pokorný [poki]
Modified: 2018-08-02 12:14 UTC (History)
5 users (show)

Fixed In Version: libreoffice-6.0.6.1-7.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-01 18:29:32 UTC


Attachments (Terms of Use)
Output generated with nonexistent ~/.config/libreoffice, using "libreoffice --backtrace" (26.53 KB, text/plain)
2018-08-01 17:37 UTC, Jan Pokorný [poki]
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1609577 None CLOSED eu-strip damages c++ binary, making it crash, the unstripped binary works fine 2019-04-02 14:24:17 UTC

Internal Links: 1609577

Description Jan Pokorný [poki] 2018-08-01 17:37:30 UTC
Created attachment 1472175 [details]
Output generated with nonexistent ~/.config/libreoffice, using "libreoffice --backtrace"

After upgrading libreoffice to -6.0.6.1-6.fc29, I can no longer start
it successfully (x86_64 arch).

First, I tried without touching ~/.config/libreoffice, which resulted
in "com::sun::star::ucb::InteractiveAugmentedIOException" variant of
the goodbye message per $summary.  Then, I moved that directory over
(so I suppose it's equivalent to starting with a clean profile),
and received "com::sun::star::container::NoSuchElementException"
variant, for which I am attaching the "libreoffice --backtrace"
output.

Comment 1 Jan Pokorný [poki] 2018-08-01 18:29:32 UTC
Actually looks like the linker was at fault and Florian's rebuild:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1132182
rectifies this problem.

(Actually, this may be also an incarnation of
https://bugs.documentfoundation.org/show_bug.cgi?id=84006#c6
of some kind.)

Comment 2 Jan Pokorný [poki] 2018-08-02 11:56:41 UTC
Confused the bugs, in fact it was likely due to this one
on a binutils/elfutils boundary: [bug 1609577], seel also
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/5STOG6CETD5UVN5INQPL5XXC3MYKMW3W/


Note You need to log in before you can comment on or make changes to this bug.